aboutsummaryrefslogtreecommitdiff
path: root/tests/checks
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2023-03-22 12:11:24 -0300
committerEuAndreh <eu@euandre.org>2023-03-22 15:51:52 -0300
commitb3ccc398cfd30ad9e243a041933204ea2e567535 (patch)
tree84ec606d88ace7e9d782d8e954b32d5d73bd6369 /tests/checks
parentsrc/bin/paku: Get Base64 from paku.lock instead of calculating it (diff)
downloadpackage-repository-b3ccc398cfd30ad9e243a041933204ea2e567535.tar.gz
package-repository-b3ccc398cfd30ad9e243a041933204ea2e567535.tar.xz
Support Homebrew
Diffstat (limited to 'tests/checks')
-rwxr-xr-xtests/checks/deb.sh1
-rwxr-xr-xtests/checks/homebrew.sh25
2 files changed, 26 insertions, 0 deletions
diff --git a/tests/checks/deb.sh b/tests/checks/deb.sh
index 04bfcd1..90ed7f9 100755
--- a/tests/checks/deb.sh
+++ b/tests/checks/deb.sh
@@ -1,5 +1,6 @@
#!/bin/sh
set -eu
+set -x
REPO="$1/debian"
diff --git a/tests/checks/homebrew.sh b/tests/checks/homebrew.sh
new file mode 100755
index 0000000..2104359
--- /dev/null
+++ b/tests/checks/homebrew.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# Load brew(1)
+. ~/.profile
+set -eu
+set -x
+
+
+REPO="$1"
+
+if command -v remembering; then
+ echo 'remembering(1) is already installed.' >&2
+ exit 1
+fi
+
+if brew info remembering; then
+ echo 'remembering(1) is already in the list of taps.' >&2
+ exit 1
+fi
+
+brew tap org/euandre "$REPO"
+brew install remembering-0-1-2
+
+remembering --help
+remembering -V